﻿using UnityEngine;
using System.Collections;

public class Door : MonoBehaviour
{

    private Animator animator;
    // Use this for initialization
    void Start()
    {
        animator = gameObject.GetComponent<Animator>();

    }

    // Update is called once per frame
    void Update()
    {

    }

    public void OnTriggerEnter2D(Collider2D collision)
    {
        if (collision.gameObject.CompareTag("Player"))
        {
            EventManager.instance.Raise(new DoorknockEvent(transform.parent.gameObject, collision.gameObject));
        }

    }

    public void SetDoorOpen(bool openState)
    {
        animator.SetBool("DoorOpen", openState);
    }

}
