﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class FloatingText : MonoBehaviour {

    public float FadeTime = 2.0f;
    public Vector3 Drift = new Vector3(0.0f, 0.5f, 0.0f);

	// Use this for initialization
	void Start () {
        Destroy(gameObject, FadeTime);
	}
	
	// Update is called once per frame
	void Update () {
        gameObject.transform.position += Drift * Time.deltaTime;
	}
}
