﻿using UnityEngine;
using System.Collections;

public class Window : MonoBehaviour {

    public Sprite WindowDark = null;
    public Sprite WindowLit = null;

    SpriteRenderer sr = null;
    void Awake() {
        sr = GetComponent<SpriteRenderer>();

        isLit = Random.value < 0.5f;
    }

    // Use this for initialization
    void Start () {
    }
	
	// Update is called once per frame
	void Update () {
	
	}

    private bool _isLit = false;
    public bool isLit
    {
        get { return _isLit;  }
        set
        {
            _isLit = value;

            if (_isLit)
            {
                // turn on light
                sr.sprite = WindowLit;
            }
            else
            {
                // turn off light
                sr.sprite = WindowDark;
            }
        }
    }
}
